#pragma once

//
//	Copyright (C) 1998 Kostya Vasilyev, kostik@pobox.com
//
//	This program is free software; you can redistribute it and/or
//	modify it under the terms of the GNU General Public License
//	as published by the Free Software Foundation; either version 2
//	of the License, or (at your option) any later version.
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//	You should have received a copy of the GNU General Public License
//	along with this program; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//

#ifdef _DEBUG
#define AxAssert(exp)	do { if (!(exp)) __asm int 3 } while (0)
#else
#define AxAssert(exp)	do { } while (0)
#endif

#define WIN32_LEAN_AND_MEAN
#define WIN32_EXTRA_LEAN
#define STRICT

#include <windows.h>

#include "Max.h"
#include "istdplug.h"

#include "resource.h"

#define TRACE_PREFIX	"***"

#define TRACE0(msg)	\
	do { OutputDebugString(TRACE_PREFIX msg); } while (0)

#define TRACE1(msg, p1)	\
	do { char buf[300]; sprintf(buf, TRACE_PREFIX msg, p1); OutputDebugString(buf); } while (0)

#define TRACE2(msg, p1, p2)	\
	do { char buf[300]; sprintf(buf, TRACE_PREFIX msg, p1, p2); OutputDebugString(buf); } while (0)

#define TRACE3(msg, p1, p2, p3)	\
	do { char buf[300]; sprintf(buf, TRACE_PREFIX msg, p1, p2, p3); OutputDebugString(buf); } while (0)

//	#define ENABLE_TWIST
